For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • Mocking Eligibility Checks
          • POSTPost
          • POSTBatch
          • GETPoll Batch
          • GETPayer Search
          • GETRecommendation
          • POSTCreate Recommendation
          • PUTVote Recommendation
          • GETGet Multi
Contact Sales
LogoLogo
API ReferencePre EncounterEligibility ChecksV1

Get Multi

Beta
GET
/eligibility-checks/v1/get-multi/
GET
/eligibility-checks/v1/get-multi/
$curl https://pre-api.joincandidhealth.com/eligibility-checks/v1/get-multi/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "items": [
3 {
4 "response": {
5 "key": "value"
6 },
7 "batch_id": "batch_id",
8 "errors": [
9 {
10 "source": "CANDID",
11 "errorDetails": {
12 "field?": "field?",
13 "description?": "description?",
14 "location?": "location?",
15 "possibleResolutions?": "possibleResolutions?",
16 "code?": "code?",
17 "followupAction?": "followupAction?"
18 }
19 },
20 {
21 "source": "CANDID",
22 "errorDetails": {
23 "field?": "field?",
24 "description?": "description?",
25 "location?": "location?",
26 "possibleResolutions?": "possibleResolutions?",
27 "code?": "code?",
28 "followupAction?": "followupAction?"
29 }
30 }
31 ],
32 "request": {
33 "payer_id": "payer_id",
34 "provider": {
35 "first_name": "first_name",
36 "last_name": "last_name",
37 "npi": "npi"
38 },
39 "subscriber": {
40 "first_name": "first_name",
41 "last_name": "last_name",
42 "member_id": "member_id",
43 "date_of_birth": "2023-01-15"
44 },
45 "submitter_transaction_identifier": "submitter_transaction_identifier",
46 "dependent": {
47 "first_name": "first_name",
48 "last_name": "last_name",
49 "member_id": "member_id",
50 "date_of_birth": "2023-01-15"
51 },
52 "encounter": {
53 "date_of_service": "2023-01-15",
54 "service_type_codes": [
55 "service_type_codes",
56 "service_type_codes"
57 ]
58 },
59 "get_existing_check_initiated_after": "2024-01-15T09:30:00Z",
60 "source": "source",
61 "portal_password": "portal_password",
62 "portal_username": "portal_username"
63 },
64 "parsed_response": {
65 "eligibility_status": "ACTIVE",
66 "plan_metadata": {
67 "payer_name": "payer_name",
68 "insurance_type": "insurance_type",
69 "insurance_type_code": "insurance_type_code",
70 "plan_name": "plan_name",
71 "member_id": "member_id",
72 "group_number": "group_number",
73 "start_date": "2023-01-15",
74 "end_date": "2023-01-15",
75 "plan_dates": [
76 {
77 "start_date": "2023-01-15",
78 "field_name": "field_name"
79 },
80 {
81 "start_date": "2023-01-15",
82 "field_name": "field_name"
83 }
84 ],
85 "subscriber": {
86 "member_id": "member_id",
87 "group_number": "group_number",
88 "first_name": "first_name",
89 "middle_name": "middle_name",
90 "last_name": "last_name",
91 "date_of_birth": "date_of_birth",
92 "gender": "gender",
93 "address": {}
94 },
95 "dependent": {
96 "member_id": "member_id",
97 "group_number": "group_number",
98 "first_name": "first_name",
99 "middle_name": "middle_name",
100 "last_name": "last_name",
101 "date_of_birth": "date_of_birth",
102 "gender": "gender",
103 "address": {}
104 }
105 },
106 "benefits": {
107 "plan_coverage": {
108 "in_network": {},
109 "in_network_flat": [],
110 "out_of_network": {},
111 "out_of_network_flat": []
112 },
113 "service_specific_coverage": [
114 {
115 "service_code": "1"
116 },
117 {
118 "service_code": "1"
119 }
120 ],
121 "benefits_related_entities": [
122 {},
123 {}
124 ],
125 "non_covered_details": [
126 {
127 "type": "DEDUCTIBLE",
128 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
129 "unit": "PERCENT",
130 "value": 1.1
131 },
132 {
133 "type": "DEDUCTIBLE",
134 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
135 "unit": "PERCENT",
136 "value": 1.1
137 }
138 ],
139 "notes": "notes",
140 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
141 }
142 },
143 "request_corrections": [
144 {
145 "property": "property",
146 "request_value": "request_value",
147 "corrected_value": "corrected_value"
148 },
149 {
150 "property": "property",
151 "request_value": "request_value",
152 "corrected_value": "corrected_value"
153 }
154 ]
155 },
156 {
157 "response": {
158 "key": "value"
159 },
160 "batch_id": "batch_id",
161 "errors": [
162 {
163 "source": "CANDID",
164 "errorDetails": {
165 "field?": "field?",
166 "description?": "description?",
167 "location?": "location?",
168 "possibleResolutions?": "possibleResolutions?",
169 "code?": "code?",
170 "followupAction?": "followupAction?"
171 }
172 },
173 {
174 "source": "CANDID",
175 "errorDetails": {
176 "field?": "field?",
177 "description?": "description?",
178 "location?": "location?",
179 "possibleResolutions?": "possibleResolutions?",
180 "code?": "code?",
181 "followupAction?": "followupAction?"
182 }
183 }
184 ],
185 "request": {
186 "payer_id": "payer_id",
187 "provider": {
188 "first_name": "first_name",
189 "last_name": "last_name",
190 "npi": "npi"
191 },
192 "subscriber": {
193 "first_name": "first_name",
194 "last_name": "last_name",
195 "member_id": "member_id",
196 "date_of_birth": "2023-01-15"
197 },
198 "submitter_transaction_identifier": "submitter_transaction_identifier",
199 "dependent": {
200 "first_name": "first_name",
201 "last_name": "last_name",
202 "member_id": "member_id",
203 "date_of_birth": "2023-01-15"
204 },
205 "encounter": {
206 "date_of_service": "2023-01-15",
207 "service_type_codes": [
208 "service_type_codes",
209 "service_type_codes"
210 ]
211 },
212 "get_existing_check_initiated_after": "2024-01-15T09:30:00Z",
213 "source": "source",
214 "portal_password": "portal_password",
215 "portal_username": "portal_username"
216 },
217 "parsed_response": {
218 "eligibility_status": "ACTIVE",
219 "plan_metadata": {
220 "payer_name": "payer_name",
221 "insurance_type": "insurance_type",
222 "insurance_type_code": "insurance_type_code",
223 "plan_name": "plan_name",
224 "member_id": "member_id",
225 "group_number": "group_number",
226 "start_date": "2023-01-15",
227 "end_date": "2023-01-15",
228 "plan_dates": [
229 {
230 "start_date": "2023-01-15",
231 "field_name": "field_name"
232 },
233 {
234 "start_date": "2023-01-15",
235 "field_name": "field_name"
236 }
237 ],
238 "subscriber": {
239 "member_id": "member_id",
240 "group_number": "group_number",
241 "first_name": "first_name",
242 "middle_name": "middle_name",
243 "last_name": "last_name",
244 "date_of_birth": "date_of_birth",
245 "gender": "gender",
246 "address": {}
247 },
248 "dependent": {
249 "member_id": "member_id",
250 "group_number": "group_number",
251 "first_name": "first_name",
252 "middle_name": "middle_name",
253 "last_name": "last_name",
254 "date_of_birth": "date_of_birth",
255 "gender": "gender",
256 "address": {}
257 }
258 },
259 "benefits": {
260 "plan_coverage": {
261 "in_network": {},
262 "in_network_flat": [],
263 "out_of_network": {},
264 "out_of_network_flat": []
265 },
266 "service_specific_coverage": [
267 {
268 "service_code": "1"
269 },
270 {
271 "service_code": "1"
272 }
273 ],
274 "benefits_related_entities": [
275 {},
276 {}
277 ],
278 "non_covered_details": [
279 {
280 "type": "DEDUCTIBLE",
281 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
282 "unit": "PERCENT",
283 "value": 1.1
284 },
285 {
286 "type": "DEDUCTIBLE",
287 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
288 "unit": "PERCENT",
289 "value": 1.1
290 }
291 ],
292 "notes": "notes",
293 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
294 }
295 },
296 "request_corrections": [
297 {
298 "property": "property",
299 "request_value": "request_value",
300 "corrected_value": "corrected_value"
301 },
302 {
303 "property": "property",
304 "request_value": "request_value",
305 "corrected_value": "corrected_value"
306 }
307 ]
308 }
309 ],
310 "total": 1,
311 "next_page_token": "next_page_token",
312 "prev_page_token": "prev_page_token"
313}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results
limitintegerOptional
subscriber_member_idstringOptional
payer_idstringOptional
provider_npistringOptional
date_of_servicestringOptional
initiated_at_mindatetimeOptional
initiated_at_maxdatetimeOptional

Response

This endpoint returns an object.
itemslist of objects
totalinteger
next_page_tokenstring
A token that can be used to retrieve the next or previous page of results
prev_page_tokenstring
A token that can be used to retrieve the next or previous page of results